com.ibm.openpages.api.scheduler

## Interface ISchedJobConfiguration

-     public interface ISchedJobConfiguration

  The job configuration

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConfigurationItem(Id jobId, java.lang.String name, java.lang.String type, java.lang.String value, boolean isEncrypted)` Add a field definition for the job configuration
    `void` | `addConfigurationItem(ISchedJobConfigurationItem configurationItem)` Add a field definition using `ISchedJobConfigurationItem`
    `ISchedJobConfiguration` | `clone()`
    `ISchedJobConfigurationItem` | `getConfigurationItem(java.lang.String name)` Get the field definitions for the specified name.
    `java.util.List<ISchedJobConfigurationItem>` | `getConfigurationItems()` Get the field definitions that describe the job's configuration
    `void` | `setConfigurationItems(java.util.List<ISchedJobConfigurationItem> configurationItems)` Set the list of field definitions that describe the job's configuration

- - ### Method Detail

    - #### getConfigurationItems

          java.util.List<ISchedJobConfigurationItem> getConfigurationItems()

      Get the field definitions that describe the job's configuration
      Returns:
        The list of `ISchedJobConfigurationItem`

    - #### getConfigurationItem

          ISchedJobConfigurationItem getConfigurationItem(java.lang.String name)

      Get the field definitions for the specified name.
      Parameters:
        `name` - the name of the field definition.
      Returns:
        `ISchedJobConfigurationItem`

    - #### setConfigurationItems

          void setConfigurationItems(java.util.List<ISchedJobConfigurationItem> configurationItems)

      Set the list of field definitions that describe the job's configuration
      Parameters:
        `configurationItems` - the list of `ISchedJobConfigurationItem`

    - #### addConfigurationItem

          void addConfigurationItem(Id jobId,
                                    java.lang.String name,
                                    java.lang.String type,
                                    java.lang.String value,
                                    boolean isEncrypted)

      Add a field definition for the job configuration
      Parameters:
        `jobId` - The ID of the job to which this field definition belongs
        `name` - The name of the field
        `type` - The type of the field - currently, 'String'
        `value` - The value of the field, which can be null
        `isEncrypted` - true, if the value should be encrypted, false otherwise

    - #### addConfigurationItem

          void addConfigurationItem(ISchedJobConfigurationItem configurationItem)

      Add a field definition using `ISchedJobConfigurationItem`
      Parameters:
        `configurationItem` - The definition of a field in the job configuration

    - #### clone

          ISchedJobConfiguration clone()

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.